### Method

# Fwupd SecurityAttr get_appstream_id

#### Declaration [src]

    const gchar*
    fwupd_security_attr_get_appstream_id (
      FwupdSecurityAttr* self
    )

#### Description [src]

Gets the AppStream ID.

Available since: | 1.5.0

#### Return value

Returns: | `const gchar*`
| The AppStream ID, or `NULL` if unset.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.